# -*- coding: utf-8 -*-
"""
fixture loading tests
"""
import os

from django.core import management
from django.test import TestCase


class LoadFixtureTest(TestCase):
    """
    regression tests for demo fixtures
    """

    def test_fixtures_loading(self):
        path = 'gaby/fixtures/demo/'
        for fixture in sorted(os.listdir(path)):
            fixture_path = path + fixture
            management.call_command('loaddata', fixture_path, verbosity=0)
            # If data has been loaded, job is done.
        assert True


# EOF
