from import_export import resources

from .models import Etiquette, FormeJuridique, StatutStructure


class EtiquetteResource(resources.ModelResource):
    class Meta:
        model = Etiquette
        fields = ('id', 'designation', 'description')
        import_id_fields = ('id',)
        export_order = fields
        skip_unchanged = True
        clean_model_instances = True


class FormeJuridiqueResource(resources.ModelResource):
    class Meta:
        model = FormeJuridique
        fields = ('id', 'designation')
        import_id_fields = ('id',)
        export_order = fields
        skip_unchanged = True
        clean_model_instances = True


class StatutStructureResource(resources.ModelResource):
    class Meta:
        model = StatutStructure
        fields = ('id', 'designation')
        import_id_fields = ('id',)
        export_order = fields
        skip_unchanged = True
        clean_model_instances = True
