#! /bin/bash

PYTHON=../venv/bin/python
MANAGE=../manage.py

dump_help()
{
cat <<EOF
$0 <postgres_dump>

ecrase la base de donnee de l'application
avec le dump postgresql custom indiqué
EOF
}

[[ "x$1" = "x-h" ]] && { dump_help ; exit ; }
[[ $# -lt 1 ]] &&  { dump_help ; exit ; }
DUMP_FILE="$1"
read -p "Ecraser la base de donnee avec le contenu de [${DUMP_FILE}] (o/n)" ANS
[[ "$ANS" = "o" ]] || exit

echo "Suppression de la base de donnée"
cat psql_reset.sql | $PYTHON $MANAGE dbshell

echo "Restauration de la base depuis le dump"
pg_restore -xO "$DUMP_FILE" | $PYTHON $MANAGE dbshell
